import { AbstractSession } from "@brightside/imperative";
import { IZosFilesResponse } from "../../doc/IZosFilesResponse";
/**
 * Class to handle renaming data sets
 */
export declare class Rename {
    /**
     * Rename a data set
     * @param {AbstractSession} session                     - z/OSMF connection info
     * @param {string} beforeDataSetName                    - the name of the data set to rename
     * @param {string} afterDataSetName                     - the new name of the data set
     * @returns {Promise<IZosFilesResponse>}
     */
    static dataSet(session: AbstractSession, beforeDataSetName: string, afterDataSetName: string): Promise<IZosFilesResponse>;
}
